Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 590493 - "Creating GPG Keys Using the Command Line" wiki page offers incomplete instructions
"Creating GPG Keys Using the Command Line" wiki page offers incomplete instru...
Status: CLOSED NEXTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: security-guide (Show other bugs)
devel
All Linux
low Severity medium
: ---
: ---
Assigned To: eric@christensenplace.us
Ben Cotton
:
Depends On: 590458
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-09 16:29 EDT by eric@christensenplace.us
Modified: 2012-10-06 00:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 590458
Environment:
Last Closed: 2012-10-06 00:03:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eric@christensenplace.us 2010-05-09 16:29:32 EDT
+++ This bug was initially created as a clone of Bug #590458 +++

Description of problem:
This Fedora-docs wiki page ( http://fedoraproject.org/wiki/DocsProject/UsingGpg/CreatingKeys#Creating_GPG_Keys_Using_the_Command_Line ) suggests that users create a key by entering "gpg --gen-key" but the text instructions beneath that are incomplete.

A bit lower, the screen output shows:

Please select what kind of key you want:
(1) DSA and ElGamal (default)
(2) DSA (sign only)
(4) RSA (sign only)
Your selection?


Option #3 is missing, and option #1 is not the correct default option.  The following is actually displayed by the terminal:

Please select what kind of key you want:
   (1) RSA and RSA (default)
   (2) DSA and Elgamal
   (3) DSA (sign only)
   (4) RSA (sign only)
Your selection? 

This is a bit problematic because the following wiki instructions suggest that the default option is the correct option.  


Version-Release number of selected component (if applicable):

I think this would fall under:
Name       : pgp-tools
Arch       : i686
Version    : 1.1
Release    : 4.fc13


How reproducible:

Always


Steps to Reproduce:
1. Visit the wiki page - view incorrect text
  
Actual results:
As above

Expected results:
Correctly display the available options and let the reader know which is the preferred option to choose.

Additional info:
I didn't see a place to attach this bug to the wiki, so I hope setting it to "fedora-websites" is correct.

See here for a snapshot of the relevant text: http://www.imagebanana.com/img/dj6d8nt8/Selection_006.png

--- Additional comment from eric@christensenplace.us on 2010-05-09 16:08:40 EDT ---

It's a wiki so feel free to change it yourself.  The wiki is for community changes.
Comment 1 eric@christensenplace.us 2010-05-09 16:30:50 EDT
Since this information was used for the Security Guide, we should make sure that the text is updated there, as well.

https://fedoraproject.org/w/index.php?title=Creating_GPG_Keys&diff=0&oldid=165308
Comment 2 Ben Cotton 2011-02-13 14:07:45 EST
Edits are not yet reflected in security guide.

Also, screen output is not in <screen> element in this section.

Finally, the section ID for this section is incorrect. It is "sect-Security_Guide-Encryption-Using_GPG-Creating_GPG_Keys_in_KDE", but should be "sect-Security_Guide-Encryption-Generating_GPG_Keys_Using_the_Command_Line" or similar.
Comment 3 Karsten Wade 2011-12-13 22:44:48 EST
Removing myself for these bug components as I'm either no longer involved in that aspect of the project, or no longer care to watch this particular bug. Sorry if you are caught in a maelstrom of bug changes as a result!
Comment 5 eric@christensenplace.us 2012-10-06 00:03:47 EDT
These changes will be pushed in the F18 version.

Note You need to log in before you can comment on or make changes to this bug.